# Store sessions in DB

Store sessions in a database instead of the filesystem. This simplifies the configuration of horizontally scalable deployments, by avoiding the need for a distributed filesystem to store the Odoo sessions.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Maintainers

# Usage

Set this module in the server wide modules.

Set a `SESSION_DB_URI` environment variable as a full postgresql connection string, like `postgres://user:passwd@server/db` or `db`.

It is recommended to use a dedicated database for this module, and possibly a dedicated postgres user for additional security.

# Known issues / Roadmap

This module does not work with multi-threaded workers, so it requires workers > 0.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Odoo SA
- ACSONE SA/NV

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/server-tools project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.